package com.vendor.burn.perspectives;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.devices.unknown.UnknownDevice;
import com.vendor.burn.utilitily.ToolUtils;
import com.vendor.burn.views.FastbootView;
import com.vendor.burn.views.LightView;
import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class FastbootPerspective implements IPerspectiveFactory {
  public static final String FASTBOOT_PERSPECTIVE_ID = com.vendor.burn.perspectives.FastbootPerspective.class
    .getName();
  
  String editorArea = null;
  
  String topFolderId = "topFolderId";
  
  String leftFolderId = "leftFolder";
  
  String rightFolderId = "rightFolder";
  
  String bottomFolderId = "bottomFolderId";
  
  public void createInitialLayout(IPageLayout layout) {
    this.editorArea = layout.getEditorArea();
    layout.setEditorAreaVisible(false);
    addViews(layout);
    updateCloseAble(layout);
  }
  
  private void addViews(IPageLayout layout) {
    IFolderLayout topFolder = layout.createFolder(this.topFolderId, 1, 0.85F, this.editorArea);
    topFolder.addView(FastbootView.ID);
    IFolderLayout bottomFolder = layout.createFolder(this.bottomFolderId, 4, 0.7F, this.topFolderId);
    bottomFolder.addView("org.eclipse.ui.console.ConsoleView");
    UnknownDevice.loadLightDebug(ToolUtils.getChipName());
    if (UnknownDevice.isOpenLightDebug()) {
      IFolderLayout rightFolder = layout.createFolder(this.rightFolderId, 2, 0.12F, this.editorArea);
      rightFolder.addView(LightView.ID);
    } 
  }
  
  private void updateCloseAble(IPageLayout layout) {
    layout.getViewLayout(FastbootView.ID).setCloseable(false);
    layout.getViewLayout("org.eclipse.ui.console.ConsoleView").setCloseable(false);
    if (UnknownDevice.isOpenLightDebug())
      layout.getViewLayout(LightView.ID).setCloseable(false); 
  }
}
